<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: FatigueMdfr Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d3/d85/class_fatigue_mdfr.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="#pri-static-attribs">Static Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">FatigueMdfr Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for FatigueMdfr:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d3/d85/class_fatigue_mdfr.png" usemap="#FatigueMdfr_map" alt=""/>
  <map id="FatigueMdfr_map" name="FatigueMdfr_map">
<area href="../../d8/d0a/class_modifier_base.html" alt="ModifierBase" shape="rect" coords="0,0,87,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a8617118c1ae4b68707ce457c6bda9f1c"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d85/class_fatigue_mdfr.html#a8617118c1ae4b68707ce457c6bda9f1c">Init</a> ()</td></tr>
<tr class="separator:a8617118c1ae4b68707ce457c6bda9f1c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe1ceebd531f12508ea5101fd0b555a6"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d85/class_fatigue_mdfr.html#afe1ceebd531f12508ea5101fd0b555a6">ActivateCondition</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</td></tr>
<tr class="separator:afe1ceebd531f12508ea5101fd0b555a6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0425db9178a4dce100d9c3f633d3a4a0"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d85/class_fatigue_mdfr.html#a0425db9178a4dce100d9c3f633d3a4a0">OnActivate</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</td></tr>
<tr class="separator:a0425db9178a4dce100d9c3f633d3a4a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac680a45bc94f0a01d844419028082fe5"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d85/class_fatigue_mdfr.html#ac680a45bc94f0a01d844419028082fe5">OnReconnect</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</td></tr>
<tr class="separator:ac680a45bc94f0a01d844419028082fe5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7a09c7bb9822ec652ecba8f9a4029891"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d85/class_fatigue_mdfr.html#a7a09c7bb9822ec652ecba8f9a4029891">OnDeactivate</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</td></tr>
<tr class="separator:a7a09c7bb9822ec652ecba8f9a4029891"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a60522b754ce435caedee32f585da0231"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d85/class_fatigue_mdfr.html#a60522b754ce435caedee32f585da0231">DeactivateCondition</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</td></tr>
<tr class="separator:a60522b754ce435caedee32f585da0231"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac52ca3acf10e225852454b14cb5e627b"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d85/class_fatigue_mdfr.html#ac52ca3acf10e225852454b14cb5e627b">OnTick</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="el" href="../../d4/dc3/classfloat.html">float</a> deltaT)</td></tr>
<tr class="separator:ac52ca3acf10e225852454b14cb5e627b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:af887f19ae257708a84fac3f1fc6c7305"><td class="memItemLeft" align="right" valign="top">private <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d85/class_fatigue_mdfr.html#af887f19ae257708a84fac3f1fc6c7305">m_Time</a></td></tr>
<tr class="separator:af887f19ae257708a84fac3f1fc6c7305"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3e289396a73e738a9b8233b49de3c241"><td class="memItemLeft" align="right" valign="top">private <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d85/class_fatigue_mdfr.html#a3e289396a73e738a9b8233b49de3c241">m_NextEvent</a></td></tr>
<tr class="separator:a3e289396a73e738a9b8233b49de3c241"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-attribs" name="pri-static-attribs"></a>
Static Private Attributes</h2></td></tr>
<tr class="memitem:a37f83603026d419667574f6026311060"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d85/class_fatigue_mdfr.html#a37f83603026d419667574f6026311060">FATIGUE_EVENT_INTERVAL_MIN</a> = 5</td></tr>
<tr class="separator:a37f83603026d419667574f6026311060"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a383f692ad52a1233801a3bd97c78409b"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d85/class_fatigue_mdfr.html#a383f692ad52a1233801a3bd97c78409b">FATIGUE_EVENT_INTERVAL_MAX</a> = 12</td></tr>
<tr class="separator:a383f692ad52a1233801a3bd97c78409b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad33a5cc11febb95aa8d2576772f5e78d"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d85/class_fatigue_mdfr.html#ad33a5cc11febb95aa8d2576772f5e78d">STAMINA_RECOVERY_MULTIPLIER</a> = 0.33</td></tr>
<tr class="separator:ad33a5cc11febb95aa8d2576772f5e78d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a475a80b0c5947cc62788bc4581e4b69b"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d85/class_fatigue_mdfr.html#a475a80b0c5947cc62788bc4581e4b69b">STAMINA_DEPLETION_MULTIPLIER</a> = 1.33</td></tr>
<tr class="separator:a475a80b0c5947cc62788bc4581e4b69b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d1/d31/_fatigue_8c_source.html#l00001">1</a> of file <a class="el" href="../../d1/d31/_fatigue_8c_source.html">Fatigue.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="afe1ceebd531f12508ea5101fd0b555a6" name="afe1ceebd531f12508ea5101fd0b555a6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afe1ceebd531f12508ea5101fd0b555a6">&#9670;&#160;</a></span>ActivateCondition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> FatigueMdfr::ActivateCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d31/_fatigue_8c_source.html#l00019">19</a> of file <a class="el" href="../../d1/d31/_fatigue_8c_source.html">Fatigue.c</a>.</p>

</div>
</div>
<a id="a60522b754ce435caedee32f585da0231" name="a60522b754ce435caedee32f585da0231"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a60522b754ce435caedee32f585da0231">&#9670;&#160;</a></span>DeactivateCondition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> FatigueMdfr::DeactivateCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d31/_fatigue_8c_source.html#l00050">50</a> of file <a class="el" href="../../d1/d31/_fatigue_8c_source.html">Fatigue.c</a>.</p>

</div>
</div>
<a id="a8617118c1ae4b68707ce457c6bda9f1c" name="a8617118c1ae4b68707ce457c6bda9f1c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8617118c1ae4b68707ce457c6bda9f1c">&#9670;&#160;</a></span>Init()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void FatigueMdfr::Init </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d31/_fatigue_8c_source.html#l00011">11</a> of file <a class="el" href="../../d1/d31/_fatigue_8c_source.html">Fatigue.c</a>.</p>

</div>
</div>
<a id="a0425db9178a4dce100d9c3f633d3a4a0" name="a0425db9178a4dce100d9c3f633d3a4a0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0425db9178a4dce100d9c3f633d3a4a0">&#9670;&#160;</a></span>OnActivate()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void FatigueMdfr::OnActivate </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d31/_fatigue_8c_source.html#l00024">24</a> of file <a class="el" href="../../d1/d31/_fatigue_8c_source.html">Fatigue.c</a>.</p>

</div>
</div>
<a id="a7a09c7bb9822ec652ecba8f9a4029891" name="a7a09c7bb9822ec652ecba8f9a4029891"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7a09c7bb9822ec652ecba8f9a4029891">&#9670;&#160;</a></span>OnDeactivate()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void FatigueMdfr::OnDeactivate </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d31/_fatigue_8c_source.html#l00042">42</a> of file <a class="el" href="../../d1/d31/_fatigue_8c_source.html">Fatigue.c</a>.</p>

</div>
</div>
<a id="ac680a45bc94f0a01d844419028082fe5" name="ac680a45bc94f0a01d844419028082fe5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac680a45bc94f0a01d844419028082fe5">&#9670;&#160;</a></span>OnReconnect()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void FatigueMdfr::OnReconnect </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d31/_fatigue_8c_source.html#l00036">36</a> of file <a class="el" href="../../d1/d31/_fatigue_8c_source.html">Fatigue.c</a>.</p>

</div>
</div>
<a id="ac52ca3acf10e225852454b14cb5e627b" name="ac52ca3acf10e225852454b14cb5e627b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac52ca3acf10e225852454b14cb5e627b">&#9670;&#160;</a></span>OnTick()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void FatigueMdfr::OnTick </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>deltaT</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d31/_fatigue_8c_source.html#l00055">55</a> of file <a class="el" href="../../d1/d31/_fatigue_8c_source.html">Fatigue.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a383f692ad52a1233801a3bd97c78409b" name="a383f692ad52a1233801a3bd97c78409b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a383f692ad52a1233801a3bd97c78409b">&#9670;&#160;</a></span>FATIGUE_EVENT_INTERVAL_MAX</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d4/dc3/classfloat.html">float</a> FatigueMdfr::FATIGUE_EVENT_INTERVAL_MAX = 12</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d31/_fatigue_8c_source.html#l00007">7</a> of file <a class="el" href="../../d1/d31/_fatigue_8c_source.html">Fatigue.c</a>.</p>

</div>
</div>
<a id="a37f83603026d419667574f6026311060" name="a37f83603026d419667574f6026311060"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a37f83603026d419667574f6026311060">&#9670;&#160;</a></span>FATIGUE_EVENT_INTERVAL_MIN</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d4/dc3/classfloat.html">float</a> FatigueMdfr::FATIGUE_EVENT_INTERVAL_MIN = 5</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d31/_fatigue_8c_source.html#l00006">6</a> of file <a class="el" href="../../d1/d31/_fatigue_8c_source.html">Fatigue.c</a>.</p>

</div>
</div>
<a id="a3e289396a73e738a9b8233b49de3c241" name="a3e289396a73e738a9b8233b49de3c241"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3e289396a73e738a9b8233b49de3c241">&#9670;&#160;</a></span>m_NextEvent</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private <a class="el" href="../../d4/dc3/classfloat.html">float</a> FatigueMdfr::m_NextEvent</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d31/_fatigue_8c_source.html#l00004">4</a> of file <a class="el" href="../../d1/d31/_fatigue_8c_source.html">Fatigue.c</a>.</p>

</div>
</div>
<a id="af887f19ae257708a84fac3f1fc6c7305" name="af887f19ae257708a84fac3f1fc6c7305"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af887f19ae257708a84fac3f1fc6c7305">&#9670;&#160;</a></span>m_Time</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private <a class="el" href="../../d4/dc3/classfloat.html">float</a> FatigueMdfr::m_Time</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d31/_fatigue_8c_source.html#l00003">3</a> of file <a class="el" href="../../d1/d31/_fatigue_8c_source.html">Fatigue.c</a>.</p>

</div>
</div>
<a id="a475a80b0c5947cc62788bc4581e4b69b" name="a475a80b0c5947cc62788bc4581e4b69b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a475a80b0c5947cc62788bc4581e4b69b">&#9670;&#160;</a></span>STAMINA_DEPLETION_MULTIPLIER</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d4/dc3/classfloat.html">float</a> FatigueMdfr::STAMINA_DEPLETION_MULTIPLIER = 1.33</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d31/_fatigue_8c_source.html#l00009">9</a> of file <a class="el" href="../../d1/d31/_fatigue_8c_source.html">Fatigue.c</a>.</p>

</div>
</div>
<a id="ad33a5cc11febb95aa8d2576772f5e78d" name="ad33a5cc11febb95aa8d2576772f5e78d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad33a5cc11febb95aa8d2576772f5e78d">&#9670;&#160;</a></span>STAMINA_RECOVERY_MULTIPLIER</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d4/dc3/classfloat.html">float</a> FatigueMdfr::STAMINA_RECOVERY_MULTIPLIER = 0.33</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d31/_fatigue_8c_source.html#l00008">8</a> of file <a class="el" href="../../d1/d31/_fatigue_8c_source.html">Fatigue.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Classes/PlayerModifiers/Modifiers/conditions/<a class="el" href="../../d1/d31/_fatigue_8c_source.html">Fatigue.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d3/d85/class_fatigue_mdfr.html">FatigueMdfr</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
